Edushade Docs
Quiz_attempts

A: Override answer content

PUT
/admin/quizzes/attempts/{attempt_id}/answers/{question_id}
AuthorizationBearer <token>

In: header

Path Parameters

attempt_idstring

The attempt id identifier

Formatuuid
question_idstring

The question id identifier

Formatuuid
answer_dataobject
answer_textstring
Default"Updated answer text"
selected_option_idsarray<string>
uploaded_file_urlsarray<string>

Response Body

curl -X PUT "https://edushade.com/api/v1/admin/quizzes/attempts/497f6eca-6276-4993-bfeb-53cbbbba6f08/answers/497f6eca-6276-4993-bfeb-53cbbbba6f08" \
  -H "Content-Type: application/json" \
  -d '{
    "answer_data": {
      "additional_info": "Some additional data"
    },
    "answer_text": "Updated answer text",
    "selected_option_ids": [
      "string"
    ],
    "uploaded_file_urls": [
      "http://example.com"
    ]
  }'
{}
Empty
Empty
Empty